%{!?tcp_wrappers:%define tcp_wrappers 1}

Summary: vsftpd - Very Secure Ftp Daemon
Name: vsftpd
Version: 2.0.5
Release: 28%{?dist}
License: GPL
Group: System Environment/Daemons
URL: http://vsftpd.beasts.org/
Source: ftp://vsftpd.beasts.org/users/cevans/%{name}-%{version}.tar.gz
Source1: vsftpd.xinetd
Source2: vsftpd.pam
Source3: vsftpd.ftpusers
Source4: vsftpd.user_list
Source5: vsftpd.init
Source6: vsftpd_conf_migrate.sh
Patch1: vsftpd-1.1.3-rh.patch
Patch2: vsftpd-1.0.1-missingok.patch
Patch3: vsftpd-2.0.1-tcp_wrappers.patch
Patch4: vsftpd-1.5.1-libs.patch
Patch5: vsftpd-2.0.2-signal.patch
Patch6: vsftpd-1.2.1-conffile.patch
Patch7: vsftpd-2.0.1-build_ssl.patch
Patch8: vsftpd-2.0.1-server_args.patch
Patch9: vsftpd-2.0.1-dir.patch
Patch10: vsftpd-2.0.1-use_localtime.patch
Patch11: vsftpd-1.2.1-nonrootconf.patch
Patch13: vsftpd-2.0.3-background.patch
Patch14: vsftpd-2.0.3-daemonize_fds.patch
Patch15: vsftpd-2.0.1-kickline.patch
Patch17: vsftpd-2.0.5-revlookup-opt.patch
Patch18: vsftpd-close-std-fds.patch
Patch19: vsftpd-2.0.5-default_ipv6.patch
Patch20: vsftpd-2.0.5-add_ipv6_option.patch
Patch21: vsftpd-2.0.5-correct_comments.patch
Patch22: vsftpd-2.0.5-man.patch
Patch23: vsftpd-2.0.4-filter.patch
Patch24: vsftpd-2.0.5-file_stat.patch
Patch25: vsftpd-2.0.5-bind_denied.patch
Patch26: vsftpd-2.0.5-userlist_log.patch
Patch27: vsftpd-2.0.5-underscore_uname.patch
Patch28: vsftpd-2.0.5-write_race.patch
Patch29: vsftpd-2.0.5-fix_unique.patch
Patch30: vsftpd-2.0.5-greedy.patch
Patch31: vsftpd-2.0.5-ssl_shutdown.patch
Patch32: vsftpd-2.0.5-usrname_len.patch
Patch33: vsftpd-2.0.5-stop_proc.patch
Patch34: vsftpd-2.0.5-man_corr.patch
Patch35: vsftpd-2.0.5-logging.patch
Patch36: vsftpd-2.0.5-trim.patch
Patch37: vsftpd-2.0.5-daemonize_plus.patch
Patch38: vsftpd-2.0.5-no_close_conn.patch
Patch39: vsftpd-2.0.5-cve2011-0762.patch
Patch40: vsftpd-2.0.5-krb.patch
Patch41: vsftpd-2.0.5-virt_guest.patch
Patch42: vsftpd-2.0.5-tz.patch
Patch43: vsftpd-2.0.5-utf8.patch
Patch44: vsftpd-2.0.5-failed_login.patch
Patch45: vsftpd-2.0.5-req_cert.patch
Patch46: vsftpd-2.0.5-conn_fail.patch
Patch47: vsftpd-2.0.5-sqb.patch
Patch48: vsftpd-2.0.5-uint-uidgid.patch
Patch49: vsftpd-2.0.5-retry_listen.patch
Patch50: vsftpd-2.0.5-mrate.patch
Patch51: vsftpd-2.0.5-fix_qm.patch
Patch52: vsftpd-2.0.5-pasv_ports.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
%if %{tcp_wrappers}
BuildPrereq: tcp_wrappers
%endif
BuildRequires: pam-devel
Requires: pam
Requires: /%{_lib}/security/pam_loginuid.so
BuildRequires: libcap-devel
Requires: libcap
BuildRequires: openssl-devel
Requires: openssl
# for -fpie
BuildPrereq: gcc > gcc-3.2.3-13, binutils > binutils-2.14.90.0.4-24, glibc-devel >= 2.3.2-45
Requires: logrotate
Prereq: /sbin/chkconfig, /sbin/service, /usr/sbin/usermod
Obsoletes: anonftp
Provides: ftpserver

%description
vsftpd is a Very Secure FTP daemon. It was written completely from
scratch.

%prep
%setup -q -n %{name}-%{version}
%patch1 -p1 -b .rh
%patch2 -p1 -b .mok
%if %{tcp_wrappers}
%patch3 -p1 -b .tcp_wrappers
%endif
%patch4 -p1 -b .libs
cp %{SOURCE1} .
%patch5 -p1 -b .signal
%patch6 -p1
%patch7 -p1 -b .build_ssl
%patch8 -p1 -b .server_args
%patch9 -p1 -b .dir
%patch10 -p1 -b .use_localtime
%patch11 -p1 -b .nonrootconf
%patch13 -p1 -b .background
%patch14 -p1 -b .fds
%patch15 -p1 -b .kickline
%patch17 -p1 -b .revlookup-opt
%patch18 -p1 -b .close-fds
%patch19 -p1 -b .ipv6
%patch20 -p1 -b .ipv6opt
%patch21 -p1 -b .comments
%patch22 -p1 -b .manp
%patch23 -p1 -b .filter
%patch24 -p1 -b .file_stat
%patch25 -p1 -b .bind_denied
%patch26 -p1 -b .userlist_log
%patch27 -p1 -b .underscore_uname
%patch28 -p1 -b .write_race
%patch29 -p1 -b .fix_unique
%patch30 -p1 -b .greedy
%patch31 -p1 -b .ssl_shutdown
%patch32 -p1 -b .usrname_len
%patch33 -p1 -b .stop_proc
%patch34 -p1 -b .man_corr
%patch35 -p1 -b .logging
%patch36 -p1 -b .trim
%patch37 -p1 -b .daemonize_plus
%patch38 -p1 -b .no_close_conn
%patch39 -p1 -b .cve2011-0762
%patch40 -p1 -b .krb
%patch41 -p1 -b .virt_guest
%patch42 -p1 -b .tz
%patch43 -p1 -b .utf8
%patch44 -p1 -b .failed_login
%patch45 -p1 -b .req_cert
%patch46 -p1 -b .conn_fail
%patch47 -p1 -b .sqb
%patch48 -p1 -b .uint-uidgid
%patch49 -p1 -b .retry_listen
%patch50 -p1 -b .mrate
%patch51 -p1 -b .fix_qm
%patch52 -p1 -b .pasv_ports

%build
%ifarch s390x
make CFLAGS="$RPM_OPT_FLAGS -fPIE -pipe" \
%else
make CFLAGS="$RPM_OPT_FLAGS -fpie -pipe" \
%endif
	LINK="-pie -lssl" \
	%{?_smp_mflags}

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/etc
mkdir -p $RPM_BUILD_ROOT/etc/{vsftpd,pam.d,logrotate.d,rc.d/init.d}
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man{5,8}
install -m 755 vsftpd  $RPM_BUILD_ROOT/usr/sbin/vsftpd
install -m 600 vsftpd.conf $RPM_BUILD_ROOT/etc/vsftpd/vsftpd.conf
install -m 644 vsftpd.conf.5 $RPM_BUILD_ROOT/%{_mandir}/man5/
install -m 644 vsftpd.8 $RPM_BUILD_ROOT/%{_mandir}/man8/
install -m 644 RedHat/vsftpd.log $RPM_BUILD_ROOT/etc/logrotate.d/vsftpd.log
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT/etc/pam.d/vsftpd
install -m 600 %{SOURCE3} $RPM_BUILD_ROOT/etc/vsftpd/ftpusers
install -m 600 %{SOURCE4} $RPM_BUILD_ROOT/etc/vsftpd/user_list
install -m 755 %{SOURCE5} $RPM_BUILD_ROOT/etc/rc.d/init.d/vsftpd
install -m 744 %{SOURCE6} $RPM_BUILD_ROOT/etc/vsftpd/vsftpd_conf_migrate.sh
                            
mkdir -p $RPM_BUILD_ROOT/var/ftp/pub

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add vsftpd
#/usr/sbin/usermod -d /var/ftp ftp >/dev/null 2>&1 || :

%preun
if [ $1 = 0 ]; then
 /sbin/service vsftpd stop > /dev/null 2>&1
 /sbin/chkconfig --del vsftpd
fi
  

%files
%defattr(-,root,root)
/usr/sbin/vsftpd
/etc/rc.d/init.d/vsftpd
#%config(noreplace) /etc/vsftpd.*
%dir /etc/vsftpd
%config(noreplace) /etc/vsftpd/*
%config(noreplace) /etc/pam.d/vsftpd
%config(noreplace) /etc/logrotate.d/vsftpd.log
%doc FAQ INSTALL BUGS AUDIT Changelog LICENSE README README.security REWARD SPEED TODO BENCHMARKS COPYING SECURITY/ EXAMPLE/ TUNING SIZE vsftpd.xinetd
%{_mandir}/man5/vsftpd.conf.*
%{_mandir}/man8/vsftpd.*
/var/ftp

%changelog
* Tue Sep 25 2012 Jiri Skala <jskala@redhat.com> - 2.0.5-28
- Resolves: #845051 - rebuild

* Tue Sep 25 2012 Jiri Skala <jskala@redhat.com> - 2.0.5-27
- Resolves: #845051 - 500 OOPS: vsf_sysutil_bind while passive port occupied

* Fri Jun 01 2012 Jiri Skala <jskala@redhat.com> - 2.0.5-26
- Resolves: #795393 - vsftpd local_max_rate option doesn't work as expected
- Resolves: #804078 - vsftpd server with TLS fails after transferring two files
- Resolves: #799245 - Wildcard "?" does not work correctly

* Tue Apr 17 2012 Jiri Skala <jskala@redhat.com> - 2.0.5-25
- Resolves: #809450 - EADDRINUSE return from vsf_sysutil_listen() in handle_pasv()

* Mon Dec 05 2011 Jiri Skala <jskala@redhat.com> - 2.0.5-24
- Resolves: #759364 - vsftpd child terminates when listing files with UID/GID larger than signed int

* Fri Aug 19 2011 Jiri Skala <jskala@redhat.com> - 2.0.5-23
- Resolves: #513828 - vsftpd allows remote probing for valid usernames
- Resolves: #717409 - Connection fails during upload - PORT is dropped by client
- Resolves: #644083 - backport ssl_request_cert option vsftpd-2.0.7
- Resolves: #641239 - [RFE] vsftpd can not handle square brackets in ls

* Tue Aug 09 2011 Jiri Skala <jskala@redhat.com> - 2.0.5-22
- Resolves: #638873 - handle UTF-8 feature support (RFC 2640)

* Mon Mar 28 2011 Jiri Skala <jskala@redhat.com> - 2.0.5-21
- Resolves: #676254 - rebuild with fastrack's tag

* Mon Mar 28 2011 Jiri Skala <jskala@redhat.com> - 2.0.5-20
- Resolves: #556795 - double call SSL_shutdown() makes some clients hang or slower
- Resolves: #619731 - vsftpd OOPS when using Kerberos auth and no username/password
- Resolves: #680823 - incorrect logging of virtual guest accounts as anonymous accounts in the xferlog file
- Resolves: #676254 - vsftpd Timestamp problem

* Thu Mar 03 2011 Jiri Skala <jskala@redhat.com> - 2.0.5-19
- Resolves: #681894 - CVE-2011-0762 vsftpd: remote DoS via crafted glob pattern

* Fri Mar 26 2010 Jiri Skala <jskala@redhat.com> - 2.0.5-18
- Resolves: #530706 - vsftpd prematurely closes connection just before processing of post-auth command
- Resolves: #579317 - vsftpd issues in RHEL5

* Wed Dec 02 2009 Jiri Skala <jskala@redhat.com> - 2.0.5-17
- Resolves:#517292 Wildcard failures with vsftpd

* Mon May 11 2009 Jiri Skala <jskala@redhat.com> - 2.0.5-16
- Resolves: #498548 - Disabling Reverse DNS lookups in VSFTPd
- Resolves: #236707 - vsftpd would crash without any error messages on bind fail
- Resolves: #431451 - Wrong init script

* Fri Apr 10 2009 Jiri Skala <jskala@redhat.com> - 2.0.5-15
- Resolves: #441485 - "service vsftpd stop" not stopping all vsftpd processes
- Resolves: #478526 - man page error about some config options
- Resolves: #460067 - RHEL5 vsftpd.conf lists incorrect default value for xferlog_file
- Resolves: #431451 - Wrong init script
- Resolves: #486259 - white space after chown_username value causes failure
- Resolves: #236707 - vsftpd would crash without any error messages on bind fail

* Wed Apr 08 2009 Jiri Skala <jskala@redhat.com> - 2.0.5-14
- Resolves: #486524 - maximum username length is too short for vsftpd user in RHEL5

* Thu Mar 05 2009 Jiri Skala <jskala@redhat.com> - 2.0.5-13
- Resolves: #459607 - SSL connections are not correctly shutdown

* Thu Dec 13 2007 Martin Nagy <mnagy@redhat.com> - 2.0.5-12
- fix CVE-2007-5962: vsftpd memory leak when deny_file option is set
- Resolves: #423001

* Wed Dec 10 2007 Martin Nagy <mnagy@redhat.com> - 2.0.5-11
- add new option to log login failures based on user list
- Resolves: #345791
- fix user_config_dir option
- Resolves: #400921
- allow usernames starting with '_' or '.'
- Resolves: #386561
- fix the write/race condition when uploading files simultaneously
- Resolves: #240553
- fix the bug that causes every new file stored with STOU to have a prefix '.1'
- Resolves: #392231
- make vsftpd wildcard matching more greedy
- Resolves: #392181

* Wed Jan 17 2007 Radek Vokál <rvokal@redhat.com> - 2.0.5-10
- bind_denied patch (#198677)

* Thu Dec 14 2006 Maros Barabas <mbarabas@redhat.com> - 2.0.5-9
- correct calling function stat 
- Resolves: bz200763

* Mon Aug 28 2006 Maros Barabas <mbarabas@redhat.com> - 2.0.5-8
- added forgotten patch to make filename filter (#174764)

* Tue Aug 22 2006 Maros Barabas <mbarabas@redhat.com> - 2.0.5-7
- correct paths of configuration files on man pages

* Tue Aug 15 2006 Maros Barabas	<mbarabas@redhat.com> - 2.0.5-6
- correct comments

* Tue Aug 08 2006 Maros Barabas	<mbarabas@redhat.com> - 2.0.5-5
- option to change listening to IPv6 protocol

* Thu Aug 01 2006 Maros Barabas <mbarabas@redhat.com> - 2.0.5-4
- listen to IPv4 connections in default conf file

* Mon Jul 17 2006 Radek Vokal <rvokal@redhat.com> - 2.0.5-3
- listen to IPv6 connections in default conf file

* Thu Jul 13 2006 Radek Vokal <rvokal@redhat.com> - 2.0.5-2
- add keyinit instructions to the vsftpd PAM script (#198637)

* Wed Jul 12 2006 Radek Vokal <rvokal@redhat.com> - 2.0.5-1
- upgrade to 2.0.5
- IE should now show the login dialog again (#191147)

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 2.0.4-1.2.1
- rebuild

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 2.0.4-1.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 2.0.4-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Thu Jan 12 2006 Radek Vokal <rvokal@redhat.com> 2.0.4-1
- upgrade to 2.0.4
- vsftpd now lock files for simultanous up/downloads (#162511)

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Wed Nov 09 2005 Radek Vokal <rvokal@redhat.com> 2.0.3-12
- rebuilt against new openssl
- close std file descriptors

* Tue Oct 04 2005 Radek Vokal <rvokal@redhat.com> 2.0.3-11
- use include instead of pam_stack in pam config

* Fri Sep 09 2005 Radek Vokal <rvokal@redhat.com> 2.0.3-10
- vsfptd.log as a default log file has to be rotated (#167359)
- vsftpd does dns reverse before passing hosts to pam_access.so (#159745)

* Wed Aug 31 2005 Radek Vokal <rvokal@redhat.com> 2.0.3-9
- don't die when no user config file is present (#166986)

* Tue Aug 09 2005 Radek Vokal <rvokal@redhat.com> 2.0.3-8
- removed additional cmd line for ftp (#165083)

* Thu Aug 04 2005 Radek Vokal <rvokal@redhat.com> 2.0.3-7
- daemonize with file descriptors (#164998)

* Thu Jun 30 2005 Radek Vokal <rvokal@redhat.com> 2.0.3-6
- start in background as default, init script changed (#158714)

* Mon Jun 27 2005 Radek Vokal <rvokal@redhat.com> 2.0.3-5
- fixed requires for 64bit libs

* Thu Jun 23 2005 Radek Vokal <rvokal@redhat.com> 2.0.3-4
- fixed requires for pam_loginuid

* Wed Jun 01 2005 Radek Vokal <rvokal@redhat.com> 2.0.3-3
- vsftpd update for new audit system (#159223)

* Fri May 27 2005 Radek Vokal <rvokal@redhat.com> 2.0.3-2
- timezone fix, patch from suse.de (#158779)

* Wed Mar 23 2005 Radek Vokal <rvokal@redhat.com> 2.0.3-1
- new release, fixes #106416 and #134541 

* Mon Mar 14 2005 Radek Vokal <rvokal@redhat.com> 2.0.3-pre2
- prerelease, fixes IPv6 issues

* Mon Mar 14 2005 Radek Vokal <rvokal@redhat.com> 2.0.2-1
- update to new release, several bug fixes

* Wed Mar 02 2005 Radek Vokal <rvokal@redhat.com> 2.0.1-10
- rebuilt against gcc4 and new openssl

* Mon Feb 07 2005 Radek Vokal <rvokal@redhat.com> 2.0.1-9
- don't allow to read non-root config files (#145548)

* Mon Jan 10 2005 Radek Vokal <rvokal@redhat.com> 2.0.1-8
- use localtime also in logs (#143687)

* Tue Dec 14 2004 Radek Vokal <rvokal@redhat.com> 2.0.1-7
- fixing directory in vsftpd.pam file (#142805)

* Mon Nov 11 2004 Radek Vokal <rvokal@redhat.com> 2.0.1-6
- vsftpd. files moved to /etc/vsftpd
- added vsftpd_conf_migrate.sh script for moving conf files

* Fri Oct 01 2004 Radek Vokal <rvokal@redhat.com> 2.0.1-5
- vsftpd under xinetd reads its config file (#134314)

* Thu Sep 16 2004 Radek Vokal <rvokal@redhat.com> 2.0.1-4
- spec file changed, ftp dir change commented (#130119)
- added doc files (#113056)

* Wed Sep 08 2004 Jan Kratochvil <project-vsftpd@jankratochvil.net>
- update for 2.0.1 for SSL

* Fri Aug 27 2004 Radek Vokal <rvokal@redhat.com> 2.0.1-2
- vsftpd.conf file changed, default IPv6 support

* Fri Aug 20 2004 Radek Vokal <rvokal@redhat.com> 2.0.1-1
- tcp_wrapper patch updated, signal patch updated
- upgrade to 2.0.1, fixes several bugs, RHEL and FC builds

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed May 19 2004 Bill Nottingham <notting@redhat.com> 1.2.1-6
- fix the logrotate config (#116253) 

* Mon May  3 2004 Bill Nottingham <notting@redhat.com> 1.2.1-5
- fix all references to vsftpd.conf to be /etc/vsftpd/vsftpd.conf,
  including in the binary (#121199, #104075)

* Thu Mar 25 2004 Bill Nottingham <notting@redhat.com> 1.2.1-4
- don't call malloc()/free() in signal handlers (#119136,
  <olivier.baudron@m4x.org>)

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Nov 24 2003 Karsten Hopp <karsten@redhat.de> 1.2.1-1
- update to 1.2.1, which fixes #89765 and lot of other issues
- remove manpage patch, it isn't required anymore
- clean up init script
- don't use script to find libs to link with (lib64 issues)

* Sun Oct 12 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- allow compiling without tcp_wrappers support

* Mon Sep 15 2003 Bill Nottingham <notting@redhat.com> 1.2.0-4
- fix errant newline (#104443)

* Fri Aug  8 2003 Bill Nottingham <notting@redhat.com> 1.2.0-3
- tweak man page (#84584, #72798)
- buildprereqs for pie (#99336)
- free ride through the build system to fix (#101582)

* Thu Jun 26 2003 Bill Nottingham <notting@redhat.com> 1.2.0-2
- update to 1.2.0

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Apr 28 2003 Bill Nottingham <notting@redhat.com> 1.1.3-9
- fix tcp_wrappers usage (#89765, <dale@riyescott.com>)

* Fri Feb 28 2003 Nalin Dahyabhai <nalin@redhat.com> 1.1.3-8
- enable use of tcp_wrappers

* Tue Feb 11 2003 Bill Nottingham <notting@redhat.com> 1.1.3-7
- provide /var/ftp & /var/ftp/pub. obsolete anonftp.

* Mon Feb 10 2003 Bill Nottingham <notting@redhat.com> 1.1.3-6
- clean up comments in init script (#83962)

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Dec 30 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- change to /etc/rc.d/init.d for better compatibility

* Mon Dec 16 2002 Bill Nottingham <notting@redhat.com> 1.1.3-3
- fix initscript perms
- fix typo in initscript (#76587)

* Fri Dec 13 2002 Bill Nottingham <notting@redhat.com> 1.1.3-2
- update to 1.1.3
- run standalone, don't run by default
- fix reqs
 
* Fri Nov 22 2002 Joe Orton <jorton@redhat.com> 1.1.0-3
- fix use with xinetd-ipv6; add flags=IPv4 in xinetd file (#78410)

* Tue Nov 12 2002 Nalin Dahyabhai <nalin@redhat.com> 1.0.1-9
- remove absolute paths from PAM configuration so that the right modules get
  used for whichever arch we're built for on multilib systems

* Thu Aug 15 2002 Elliot Lee <sopwith@redhat.com> 1.0.1-8
- -D_FILE_OFFSET_BITS=64
- smp make
- remove forced optflags=-g for lack of supporting documentation
 
* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Apr 10 2002 Bill Nottingham <notting@redhat.com> 1.0.1-5
- don't spit out ugly errors if anonftp isn't installed (#62987)
- fix horribly broken userlist setup (#62321)

* Thu Feb 28 2002 Trond Eivind Glomsrd <teg@redhat.com> 1.0.1-4
- s/Copyright/License/
- add "missingok" to the logrotate script, so we don't get errors
  when nothing has happened

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Nov 28 2001 Bill Nottingham <notting@redhat.com>
- initial packaging for RHL, munge included specfile

* Thu Mar 22 2001 Seth Vidal <skvidal@phy.duke.edu>
- updated to 0.0.15
- added entry for vsftpd.8 man page
- added entry for vsftpd.log logrotate file
- added TUNING file to docs list

* Wed Mar 7 2001 Seth Vidal <skvidal@phy.duke.edu>
- Updated to 0.0.14
- made %files entry for man page

* Wed Feb 21 2001 Seth Vidal <skvidal@phy.duke.edu>
- Updated to 0.0.13

* Mon Feb 12 2001 Seth Vidal <skvidal@phy.duke.edu>
- Updated to 0.0.12

* Wed Feb 7 2001 Seth Vidal <skvidal@phy.duke.edu>
- updated to 0.0.11

* Fri Feb 1 2001 Seth Vidal <skvidal@phy.duke.edu>
- Update to 0.0.10

* Fri Feb 1 2001 Seth Vidal <skvidal@phy.duke.edu>
- First RPM packaging
- Stolen items from wu-ftpd's pam setup
- Separated rh 7 and rh 6.X's packages
- Built for Rh6
